=== debian/changelog ===
ocp (1:0.2.2+ds-1) unstable; urgency=medium

  * New upstream version. (Closes: #957626)
  * Add ttf-unifont, libjpeg-dev, libpng-dev, libfreetype-dev, xa65 to
    Build-Depends.
  * Bump standards version to 4.5.0.
  * Drop d/rules.old.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 01 Jun 2020 14:54:03 +0200
