## ocp 0.2.93

=== debian/changelog ===
ocp (1:0.2.93-2) unstable; urgency=medium

  * d/rules: fix build issues for kfreebsd+hurd.

 -- Gürkan Myczko <tar@debian.org>  Tue, 25 Jan 2022 07:08:31 +0100

ocp (1:0.2.93-1) unstable; urgency=medium

  * New upstream version.
  * d/control: add build-depends libcjson-dev.

 -- Gürkan Myczko <tar@debian.org>  Sun, 23 Jan 2022 13:52:26 +0100

ocp (1:0.2.92+git20220113+ds-2) unstable; urgency=medium

  * d/opencubicplayer.install: fix repeated path segments.
  * d/control: drop unnecessary build-depends.
  * d/watch: update to mangle version.

 -- Gürkan Myczko <tar@debian.org>  Tue, 18 Jan 2022 10:15:44 +0100

ocp (1:0.2.92+git20220113+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/patches: drop some unused ones.
  * d/ocp.1: drop, upstreamed.
  * d/rules: drop some old comments.
  * d/opencubicplayer32.xpm: drop.

 -- Gürkan Myczko <tar@debian.org>  Thu, 13 Jan 2022 12:24:19 +0100

ocp (1:0.2.91-1) unstable; urgency=medium

  * New upstream version.
  * d/control: add libdiscid-dev to Build-Depends.
  * Bump standards version to 4.6.0.
  * Update maintainer address.
  * d/copyright: update years.
  * d/patches: drop some unused ones.

 -- Gürkan Myczko <tar@debian.org>  Sun, 09 Jan 2022 12:49:48 +0100

ocp (1:0.2.90-4) unstable; urgency=medium

  * d/rules: drop the gcc-11/g++-11 exports.
  * Apply patch to fix FTCBFS. Thanks Helmut Grohne. (Closes: #996498)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 16 Oct 2021 14:56:48 +0200

ocp (1:0.2.90-3) unstable; urgency=medium

  * Upload to unstable.
  * d/control:
    - drop Build-Depends: gcc-11.
    - update Build-Depends: ttf-unifont to fonts-unifont.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 11 Oct 2021 08:43:22 +0200

ocp (1:0.2.90-2) experimental; urgency=medium

  * d/control: add Build-Depends: gcc-11.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 10 Apr 2021 19:24:23 +0200

ocp (1:0.2.90-1) experimental; urgency=medium

  * New upstream version. (Closes: #984263)
  * d/watch: bump version, switch to https.
  * Bump standards version to 4.5.1.
  * Bump debhelper version to 13, drop d/compat.
  * d/upstream/metadata: added.
  * d/control:
    - added Rules-Requires-Root.
    - add Build-Depends: libbz2-dev.
  * d/copyright: rewrite to new format.
  * d/clean: added more lines.
  * d/*install: improved.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 15 Mar 2021 21:08:20 +0100
